# Method SSL.Cipher.KeyExchange()->parse_server_key_exchange()

Method parse_server_key_exchange

  `ADT.struct parse_server_key_exchange(ADT.struct input)`

Parameter `input`

  ADT.struct with the content of a HANDSHAKE_server_key_exchange.

Returns

  The key exchange information should be extracted from input, so that it is positioned at the signature.

  Returns a new ADT.struct with the unsigned payload of input.